stages:
  - install
  - test
  - build

cache:
  paths:
    - node_modules/

install-lint-app:
  stage: install
  image: node:latest
  allow_failure: false
  script:
    - npm install
    - npm run lint

test-app:
  stage: test
  image: trion/ng-cli-karma
  allow_failure: false
  script:
    - ng test --code-coverage --progress false --watch false
  coverage: '/Statements\s*:\s*(\d+\.?\d*)%/'
  artifacts:
    paths:
      - coverage/ 
    
build-app:
  stage: build
  image: node:latest
  allow_failure: false
  script:
    - npm run build
  artifacts:
    paths:
    - dist/
